Bug 199647 - Review Request: perl-File-RsyncP
Review Request: perl-File-RsyncP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 199573
  Show dependency treegraph
 
Reported: 2006-07-20 20:29 EDT by Mike McGrath
Modified: 2015-05-28 10:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-22 00:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2006-07-20 20:29:10 EDT
Spec: http://mmcgrath.net/~mmcgrath/perl-File-RsyncP/perl-File-RsyncP.spec
SRPM: http://mmcgrath.net/~mmcgrath/perl-File-RsyncP/perl-File-RsyncP-0.52-1.src.rpm

File::RsyncP is a perl implementation of an Rsync client. It is compatible with
Rsync 2.5.5 - 2.6.3 (protocol versions 26-28). It can send or receive files,
either by running rsync on the remote machine, or connecting to an rsyncd
daemon on the remote machine.
Comment 2 Jason Tibbitts 2006-07-21 22:20:25 EDT
It seems that this package refuses to build on my system unless I remove the
_smp_mflags bit from the make line.  It's a 8-way box so it often shows up
problems with poor makefiles.

After fixing that bit everything builds fine.  rpmlint has a minor complaint
about the spec:

W: perl-File-RsyncP mixed-use-of-spaces-and-tabs

The Name:, URL: and Requires: fields have mixed spaces and tabs.  A really minor
complaint, I know.

So the required changes are simple: a couple of whitespace cleanups and the
removal of _smp_mflags.  (Do add a comment as to why it's missing, though.)
I'll go ahead and approve and you can fix these when you check in.

* source files match upstream:
   16dcbd537d20c7435e1affd09d65a5ce  File-RsyncP-0.62.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* Compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
X rpmlint is silent (tabs-n-spaces issue)
* debuginfo package looks complete.
* final provides and requires are sane:
   Digest.so()(64bit)
   FileList.so()(64bit)
   perl(File::RsyncP) = 0.62
   perl(File::RsyncP::Digest) = 0.62
   perl(File::RsyncP::FileIO) = 0.62
   perl(File::RsyncP::FileList) = 0.62
   perl-File-RsyncP = 0.62-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Config)
   perl(Data::Dumper)
   perl(DynaLoader)
   perl(Encode)
   perl(Exporter)
   perl(Fcntl)
   perl(File::Find)
   perl(File::Path)
   perl(File::RsyncP::Digest)
   perl(File::RsyncP::FileIO)
   perl(File::RsyncP::FileList)
   perl(Getopt::Long)
   perl(Socket)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=1,  1 wallclock secs ( 0.06 cusr +  0.01 csys =  0.07 CPU)
   All tests successful.
   Files=2, Tests=20,  0 wallclock secs ( 0.03 cusr +  0.01 csys =  0.04 CPU)
   All tests successful.
   Files=2, Tests=24,  0 wallclock secs ( 0.04 cusr +  0.01 csys =  0.05 CPU)
* shared libraries are present, but internal to Perl.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, assuming you fix _smp_mflags and the whitespace issues.
Comment 3 Mike McGrath 2006-07-22 00:10:03 EDT
Fixed the above and is imported and built
Comment 4 Johan Cwiklinski 2008-09-17 14:57:18 EDT
Package Change Request
======================
Package Name: perl-File-RsyncP
New Branches: EL-4 EL-5
Comment 5 Kevin Fenzi 2008-09-17 15:14:23 EDT
cvs done.
Comment 6 Petr Šabata 2015-05-28 08:13:44 EDT
Package Change Request
======================
Package Name: perl-File-RsyncP
New Branches: epel7
Owners: psabata
InitialCC: perl-sig
Comment 7 Jon Ciesla 2015-05-28 10:12:47 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.